SessionInitializerFilter (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.filters

## Class SessionInitializerFilter

- java.lang.Object
- - org.apache.catalina.filters.SessionInitializerFilter

- All Implemented Interfaces:
    Filter

      public class SessionInitializerFilter
      extends Object
      implements Filter

  A `Filter` that initializes the `HttpSession` for the `HttpServletRequest` by calling its getSession() method.

  This is required for some operations with WebSocket requests, where it is too late to initialize the HttpSession object, and the current Java WebSocket specification does not provide a way to do so.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionInitializerFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doFilter(ServletRequest request, ServletResponse response, FilterChain chain)` Calls `HttpServletRequest`'s getSession() to initialize the HttpSession and continues processing the chain.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.Filter

      `destroy, init`

- - ### Constructor Detail

    - #### SessionInitializerFilter

          public SessionInitializerFilter()

  - ### Method Detail

    - #### doFilter

          public void doFilter(ServletRequest request,
                               ServletResponse response,
                               FilterChain chain)
                        throws IOException,
                               ServletException

      Calls `HttpServletRequest`'s getSession() to initialize the HttpSession and continues processing the chain.
      Specified by:
        `doFilter` in interface `Filter`
      Parameters:
        `request` - The request to process
        `response` - The response associated with the request
        `chain` - Provides access to the next filter in the chain for this filter to pass the request and response to for further processing
      Throws:
        `IOException` - if an I/O error occurs during this filter's processing of the request
        `ServletException` - if the processing fails for any other reason

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.